package com.keao.edu.user.dto;

import com.keao.edu.user.entity.ExamRegistration;
import com.keao.edu.user.entity.ExamRegistrationPayment;
import com.keao.edu.user.entity.StudentExamResult;
import io.swagger.annotations.ApiModelProperty;

public class StudentExamPaymentDto {

    @ApiModelProperty(value = "考试项目")
    private String examBaseName;

    @ApiModelProperty(value = "学员报名数据")
    private ExamRegistration examRegistration;

    @ApiModelProperty(value = "学员考试结果")
    private StudentExamResult studentExamResult;

    @ApiModelProperty(value = "学员报名订单数据")
    private ExamRegistrationPayment examRegistrationPayment;

    @ApiModelProperty(value = "合作单位")
    private String organName;

    @ApiModelProperty(value = "报考专业")
    private String subjectName;

    public String getExamBaseName() {
        return examBaseName;
    }

    public void setExamBaseName(String examBaseName) {
        this.examBaseName = examBaseName;
    }

    public ExamRegistration getExamRegistration() {
        return examRegistration;
    }

    public void setExamRegistration(ExamRegistration examRegistration) {
        this.examRegistration = examRegistration;
    }

    public StudentExamResult getStudentExamResult() {
        return studentExamResult;
    }

    public void setStudentExamResult(StudentExamResult studentExamResult) {
        this.studentExamResult = studentExamResult;
    }

    public ExamRegistrationPayment getExamRegistrationPayment() {
        return examRegistrationPayment;
    }

    public void setExamRegistrationPayment(ExamRegistrationPayment examRegistrationPayment) {
        this.examRegistrationPayment = examRegistrationPayment;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }
}
